Retrieves all the user_planning_slot
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_planning_slot| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| user_id |
Foreign key to user. |
globally unique identifier |
Required |
| user_planning_slot_type_id |
Foreign key to user planning slot type id. |
globally unique identifier |
Required |
| date_from |
Date from, |
date | |
| date_to |
Date to, |
date | |
| description |
Description of user planning slot. |
string | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating. |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "5175f342-1443-433d-bec6-d5f16ea51853",
"user_id": "0d1187e2-85d9-41e0-bf2b-7798e9fc17b1",
"user_planning_slot_type_id": "8ab0c3ab-1e37-468c-9278-b98edd7baf02",
"date_from": "2026-11-18T19:51:49.0538911+00:00",
"date_to": "2026-11-18T19:51:49.0538911+00:00",
"description": "sample string 6",
"modified_dateutc": "2026-11-18T19:51:49.0538911+00:00"
}